# Get Data

Here are some common values that sometimes needed as the payload of the query or mutation.

## Values from App Path

### When Opening a Project...

We will use the below link as an example. You can access this page from the sidebar, select **Projects**, and click one of the projects.

<https://app.datasaur.ai/teams/1/projects/MTM3ZjU0MTI/d7026696-c7e6-44bb-be5b>

#### Team ID

Based on the link above, the team ID is **1**. On the app, we use the term "Workspace". In other words, Team = Workspace.

#### Project ID

Based on the link above, the project ID is **MTM3ZjU0MTI**.

#### Document ID

Based on the link above, the document ID is **d7026696-c7e6-44bb-be5b.** Sometimes, "Document" is also called "File" on the app.

### When Opening a Team Member Detail...

We will use the below link as an example. You can access this page from the sidebar, select **Members**, click the triple dot on one of the team members, and select **View Member Details**.

[https://app.datasaur.ai/teams/1/members/2/analytics](https://app.datasaur.ai/teams/8/members/47/analytics)

#### Team Member ID

Based on the link above, the team member ID is **2**. Note that this is not the same as user ID because a user can be invited to multiple teams.

### When Opening a File Transformer...

We will use the below link as an example. You can access this page from the sidebar, select **File transformers**, then click one of the file transformers.

<https://app.datasaur.ai/teams/1/file-transformers/2>

#### File Transformer ID

Based on the link above, the file transformer ID is **2**.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.datasaur.ai/api/get-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
